# $Id: MHonArc.spec,v 1.5 2005/06/09 01:12:12 ehood Exp $
#---------------------------------------------------------------------------#
#   RPM spec file for MHonArc.  The following macro definitions are
#   defined via the the call to rpmbuild during the release process:
# 
#	version:	  Version of mhonarc
#	release:	  RPM release number
#
#   For example:
#
#	rpmbuild --define='version X.X.X' --define='release N' ...
#
#   Note: The packaging process requires perl, however the build
#	  requirement for perl has been commented out since the
#	  system used to perform releases has a non-RPM installed
#	  version of perl, causing rpmbuild to fail when checking
#	  build requirements.
#
#---------------------------------------------------------------------------#

Name:		MHonArc
Version:	2.6.12
Release:	1.norlug
URL:		http://www.mhonarc.org/
Group:		Applications/Mail
License:	GPL
Source:		http://www.mhonarc.org/release/MHonArc/tar/%{name}-%{version}.tar.gz
Icon:		mhonarc32x32.xpm
Summary:	An e-mail-to-HTML converter
Requires:	perl >= 5
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
#BuildRequires:	perl
AutoReq:	no
Provides:	mhonarc, mha-dbedit, mha-dbrecover, mha-decode

%description
MHonArc is a Perl program for converting mail or news messages into
HTML archives. It can also be used to convert individual messages
into HTML documents. Other capabilities include robust MIME support
and powerful user customization features.

%prep
%setup -q

%install
##%{__perl} install.me -batch -nodoc \
%{__perl} install.me -batch \
		-root $RPM_BUILD_ROOT \
		-perl %{__perl} \
		-libpath %{_libdir}/%{name} \
		-binpath %{_bindir} \
		-manpath %{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ACKNOWLG CHANGES COPYING README.txt RELNOTES
%doc doc/ examples/ extras/ logo/
%{_bindir}/mhonarc 
%{_bindir}/mha-dbedit 
%{_bindir}/mha-dbrecover
%{_bindir}/mha-decode
%{_libdir}/%{name}
%{_mandir}/man1/mhonarc.1*
%{_mandir}/man1/mha-dbedit.1*
%{_mandir}/man1/mha-dbrecover.1*
%{_mandir}/man1/mha-decode.1*

%changelog
* Fri Jun 24 2005 Chip Cuccio <chipster@norlug.org> 2.6.12-1
- initial RH-7.3 build

